import express from "express";
import { isSetup } from "../controller/setupController";
import { finishInvite, inviteUser, verifyInvite } from "../controller/inviteController";
import ParamaterPassCheckHelper from "../helpers/parameterPassCheckHelper";

var router = express.Router({ mergeParams: true });

router.get("/", async (req, res) => {
  await isSetup(req, res);
});

router.post("/verify", ParamaterPassCheckHelper.requiredIncludedMiddleware(["mail", "token"]), async (req, res) => {
  await verifyInvite(req, res);
});

router.post(
  "/",
  ParamaterPassCheckHelper.requiredIncludedMiddleware(["username", "mail", "firstname", "lastname"]),
  async (req, res) => {
    await inviteUser(req, res, false);
  }
);

router.put("/", ParamaterPassCheckHelper.requiredIncludedMiddleware(["mail", "token", "totp"]), async (req, res) => {
  await finishInvite(req, res, true);
});

/**
 * TODO:
 * set basic settings like clubname ...
 * enable upload of images and icons: transform pwa-> 512x512 png / 48x48 ico
 */

export default router;
